#!/usr/bin/perl
# Generated automatically from list_filters.pl.in by configure.

# Displays a list of the filters in ~/.peruser4-filters

use lib '/usr/share/news-peruser';
use Peruser;

unless ( safe_open( \*FILTERS, "$home/.peruser4-filters" ))
{
   feedback( "No filters exist." );
   exit( 0 );
}

$filters = "REGULAR EXPRESSION FILTERS:\\n\\n";

while( <FILTERS> )
{
   s/\\:/&/g;

   @lines = split /:/;
   $lines[ 0 ] =~ s/&/:/g;
   $lines[ 1 ] =~ s/&/:/g;

   $count++;

   $filters .= "$count: $lines[ 0 ] is bound to $lines[ 1 ]\\n";
}

safe_close( \*FILTERS );

if ( !$count )
{
   $filters .= "No filters on file.";
}

feedback( "$filters" );
